Description

We're using Redmine for the moment as private issue tracker/project planner, and we really like it.

Our redmine installation now has access to our LAN (and is not accessible via internet) and integration with subversion is the max.

We want to use Redmine also as communication tool with our clients, so we're going to install a second Redmine that is accessible

via internet (our clients don't have access to our repositories in subversion).

But we want the possibility to create relations between our "Public" Redmine en our "Private" Redmine.

This is possible via hyperlinks in the issue description, or with custom fields (see also #2083).

The problem with hyperlinks in the issue description, is:

they are not so human-readable

if base path changes (for example, after server migration), all hyperlinks to issues on this server must be changed

The problem with custom fields, is that:

hyperlinks are not supported (without using plugins)

0-N relations are difficult

A solution to our problem could be an extra module (like the repository definitions), for defining "external relations".

Adding "new external relations" is like adding a new repository:

New external relations:

Identifier: "Redmine"

BaseUrl: "http://www.redmine.org/issues/"

With this relation-definition, external relations can be added to issues (in this example, referencing redmine issues).

I propose 2 possibilities (both supported?):

1. In issue detail, an extra entry for "External relations" is after "Subtasks" and "Related issues"

Two inputboxes required, a combobox with all defined "external relations" and a normal textbox for the reference.

The extra entry is only available if "externals" are defined (maybe some extra permissions are necessary)

2. In wiki text, external issues can be referenced by using the identifier, followed by "|#" and then an alphanumeric reference.

For example Redmine|#2083 would link to http://www.redmine.org/issues/2083 (combining baseUrl, defined for identifier

"Redmine", with reference after "#")

Per project, multiple "Externals" should be possible (~ multiple repositories), because our clients have their own issue tracking

systems (Redmine, Jira, Trac, ...), so they should also be able to create links to their own issues (using their issue-tracker

"identifier").

Related issues:

Related to Redmine - Feature #2083: CustomField of type "external-link-to" wi... Closed 2008-10-24

Related to Redmine - Feature #15228: Custom field - provide link custom field Closed

Related to Redmine - Feature #5794: URL custom fields Closed 2010-07-01

History

#1 - 2013-05-12 17:33 - Bruno Spyckerelle

I'm fond of this feature !
A repository can be tracked by only one redmine instance (and a redmine instance can track multiple repositories), so as we already have multiple

repos tracked by their own redmine instance, we need to link issues between redmine instances.

Your proposition is a good answer to that kind of situation.

#2 - 2013-10-31 05:19 - Mischa The Evil

- Related to Feature #15228: Custom field - provide link custom field added

#3 - 2014-03-17 15:44 - Wim DePreter

We're going to use URL custom fields (#5794) for linking our redmine issues with an external issue-tracker, so this feature request may be closed.

#4 - 2014-04-14 17:22 - Toshi MARUYAMA

- Status changed from New to Closed

Wim DePreter wrote:

We're going to use URL custom fields (#5794) for linking our redmine issues with an external issue-tracker, so this feature request may be

closed.

 Thank you for your feedback.

#5 - 2014-04-14 17:22 - Toshi MARUYAMA

- Related to Feature #5794: URL custom fields added
